Amazon Product Detail
Amazon Product Detail is used to fetch Amazon product detail data.
- Fetch product details by product URL
- Support region-based requests
- Return product information, pricing, buybox data, images, and overview fields
- Accept multiple product URLs in one request
Use XCrawl to Fetch Amazon Product Details
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "amazon_product_detail",
"location": "US",
"product_url_list": ["xxxxx"]
}'Request parameter notes:
enginemust beamazon_product_detaillocationspecifies the target regionproduct_url_listaccepts one or more product URLs
Response Example
{
"result": [
{
"content": {
"url": "https://www.amazon.com/Apple-2025-MacBook-13-inch-Laptop/dp/B0DZD9S5GC/...",
"asin": "B0DZD9S5GC",
"price": 849,
"brand": "Apple",
"title": "Apple 2025 MacBook Air 13-inch Laptop with M4 chip...",
"buybox": [
{
"price": 849,
"stock": "In Stock",
"condition": "Buy new:",
"delivery_details": [
{
"date": "Monday, June 16",
"type": "FREE delivery"
}
]
}
],
"images": [
"https://m.media-amazon.com/images/I/41ZbpAVHqdL._AC_SR38,50_.jpg"
],
"rating": "4.8",
"reviews": null,
"currency": "USD",
"description": "",
"bullet_points": "About this item ...",
"product_name": "Apple 2025 MacBook Air 13-inch Laptop with M4 chip...",
"product_details": {},
"product_overview": [
{
"title": "Brand",
"description": "Apple"
}
]
}
}
]
}Parameters
Required Parameters
| Parameter | Type | Description |
|---|---|---|
location | string | Specifies the target region. |
product_url_list | array | Accepts one or more Amazon product URLs. |
Parameter Notes
locationdefaults toUSlocationsupports multiple region values such asUS,HK,CA,AD, andAEproduct_url_listdefaults to an empty array and should contain product detail page URLs
Response Fields
Response data is returned under result[].content.
| Field | Type | Description |
|---|---|---|
url | string | Product page URL. |
asin | string | Amazon ASIN. |
price | number | Product price. |
brand | string | Product brand. |
title | string | Product title. |
buybox | array | Buybox information. |
images | array | Product image list. |
rating | number | Product rating. |
reviews | number | Number of reviews. |
currency | string | Price currency. |
description | string | Product description. |
bullet_points | string | Product bullet points. |
product_name | string | Product name. |
product_details | object | Product detail attributes. |
product_overview | array | Product overview fields. |
Buybox Fields
Each item in buybox[] includes:
| Field | Type | Description |
|---|---|---|
price | number | Buybox price. |
stock | string | Stock status. |
condition | string | Product condition. |
delivery_details | array | Delivery details. |
Delivery Fields
Each item in delivery_details[] includes:
| Field | Type | Description |
|---|---|---|
date | string | Delivery date. |
type | string | Delivery type. |
Product Overview Fields
Each item in product_overview[] includes:
| Field | Type | Description |
|---|---|---|
title | string | Overview field name. |
description | string | Overview field value. |
